<p>animals works!</p>
<style> :host {
    background-color: red;
}

</style>

<div class="container animals">
    <h1>Animals</h1>
    <!-- On place les éléments invariables, le corps immobile du HTML -->
    <div id="selected-animal">
        <img src="" alt="" id="selected-animal-img" height="300">
        <h3 id="selected-animal-name">{{ selectectedAnimal.name }}</h3>
        <p class="weight" id="selected-animal-weight">{{ selectectedAnimal.weight }}</p>
        <p class="speed" id="selected-animal-speed">{{ selectectedAnimal.speed }}</p>
        <img src="{{ selectectedAnimal.image }}" width="100px" height="100px" />
    </div>
    <div>
        <ul id="animals">
            <li *ngFor="let animal of animals" (click)="setSelected(animal)">
                <h3>{{ animal.name }}</h3>
                <p>Vitesse : {{ animal.speed }}</p>
                <p>Poids : {{ animal.weight }}</p>
                <img src="{{ animal.image }}" width="100px" height="100px" alt="" />
            </li>
        </ul>
    </div>
</div>
